// 引入自定义的请求工具模块
import request from '@/utils/request'

// 获取品牌列表
export function fetchList(params) {
  // 调用请求方法，发送GET请求到 '/brand/list'，并将参数作为请求的查询参数
  return request({
    url: '/brand/list',  // 请求的API接口地址
    method: 'get',       // 请求方法：GET
    params: params      // 请求参数，将被附加到URL的查询字符串中
  })
}

// 创建新品牌
export function createBrand(data) {
  // 调用请求方法，发送POST请求到 '/brand/create'，请求体包含品牌数据
  return request({
    url: '/brand/create',  // 请求的API接口地址
    method: 'post',        // 请求方法：POST
    data: data             // 请求体数据，包含品牌的详细信息
  })
}

// 更新品牌的展示状态
export function updateShowStatus(data) {
  // 调用请求方法，发送POST请求到 '/brand/update/showStatus'，请求体包含展示状态的更新数据
  return request({
    url: '/brand/update/showStatus',  // 请求的API接口地址
    method: 'post',                   // 请求方法：POST
    data: data                        // 请求体数据，包含要更新的展示状态信息
  })
}

// 更新品牌的工厂状态
export function updateFactoryStatus(data) {
  // 调用请求方法，发送POST请求到 '/brand/update/factoryStatus'，请求体包含工厂状态的更新数据
  return request({
    url: '/brand/update/factoryStatus',  // 请求的API接口地址
    method: 'post',                      // 请求方法：POST
    data: data                           // 请求体数据，包含要更新的工厂状态信息
  })
}

// 删除品牌
export function deleteBrand(id) {
  // 调用请求方法，发送GET请求到 '/brand/delete/{id}'，{id}为品牌的唯一标识
  return request({
    url: '/brand/delete/' + id,  // 请求的API接口地址，{id}动态插入
    method: 'get',               // 请求方法：GET
  })
}

// 获取单个品牌的详细信息
export function getBrand(id) {
  // 调用请求方法，发送GET请求到 '/brand/{id}'，{id}为品牌唯一标识
  return request({
    url: '/brand/' + id,  // 请求的API接口地址，{id}动态插入
    method: 'get',        // 请求方法：GET
  })
}

// 更新品牌的详细信息
export function updateBrand(id, data) {
  // 调用请求方法，发送POST请求到 '/brand/update/{id}'，请求体包含品牌的更新数据
  return request({
    url: '/brand/update/' + id,  // 请求的API接口地址，{id}动态插入
    method: 'post',              // 请求方法：POST
    data: data                   // 请求体数据，包含要更新的品牌详细信息
  })
}
